package com.sooka.system.funeral.freeze.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市殡葬-冷冻基本信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiFreeze extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 业务条码 */
    @Excel(name = "业务条码" )
    private String BNO;

    /** 逝者姓名 */
    @Excel(name = "逝者姓名" )
    private String DNAME;

    /** 性别 */
    @Excel(name = "性别" )
    private String DSEX;

    /** 年龄 */
    @Excel(name = "年龄" )
    private String DAGE;

    /** 民族 */
    @Excel(name = "民族" )
    private String DMZ;

    /** 身份证号 */
    @Excel(name = "身份证号" )
    private String DSFZH;

    /** 户籍住址 */
    @Excel(name = "户籍住址" )
    private String ADDRESS;

    /** 死亡时间 */
    @Excel(name = "死亡时间" )
    private String DTIME;

    /** 冷冻间 */
    @Excel(name = "冷冻间" )
    private String LCJNAME;

    /** 开始时间 */
    @Excel(name = "开始时间" )
    private String STARTTM;

    /** 结束时间 */
    @Excel(name = "结束时间" )
    private String ENDTM;

    /** 天数 */
    @Excel(name = "天数" )
    private String DAYS;

    /** 结算金额 */
    @Excel(name = "结算金额" )
    private String JSMONEY;

    /** 预存金额 */
    @Excel(name = "预存金额" )
    private String YJMONEY;

    /** 联系人 */
    @Excel(name = "联系人" )
    private String LINKMAN;

    /** 联系电话 */
    @Excel(name = "联系电话" )
    private String LINKMANPHONE;

    /** 登记时间（YYYY-MM-DD HH:MM) */
    @Excel(name = "登记时间（YYYY-MM-DD HH:MM)" )
    private String OPERTM;

    /** 登记人 */
    @Excel(name = "登记人" )
    private String OPERID;

    /** 登记单位 */
    @Excel(name = "登记单位" )
    private String OPERDW;

    public String getBno()
    {
        return BNO;
    }

    public String getDname()
    {
        return DNAME;
    }

    public String getDsex()
    {
        return DSEX;
    }

    public String getDage()
    {
        return DAGE;
    }

    public String getDmz()
    {
        return DMZ;
    }

    public String getDsfzh()
    {
        return DSFZH;
    }

    public String getAddress()
    {
        return ADDRESS;
    }

    public String getDtime()
    {
        return DTIME;
    }

    public String getLcjname()
    {
        return LCJNAME;
    }

    public String getStarttm()
    {
        return STARTTM;
    }

    public String getEndtm()
    {
        return ENDTM;
    }

    public String getDays()
    {
        return DAYS;
    }

    public String getJsmoney()
    {
        return JSMONEY;
    }

    public String getYjmoney()
    {
        return YJMONEY;
    }

    public String getLinkman()
    {
        return LINKMAN;
    }

    public String getLinkmanphone()
    {
        return LINKMANPHONE;
    }

    public String getOpertm()
    {
        return OPERTM;
    }

    public String getOperid()
    {
        return OPERID;
    }

    public String getOperdw()
    {
        return OPERDW;
    }
}
